Summary: GNU libtool, a shared library generation tool.
Name: libtool
Version: 1.3.5
Release: 1
Group: Development/Building
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
GNU libtool is a set of shell scripts to automatically configure
UNIX architectures to build shared libraries in generic fashion.


%prep
%setup -q


%build
./configure --prefix=/usr
make

# This is optional and takes very long time. libtool-1.3.5 passes check.
#make check

(
	cd doc
	rm -f *.info*
	make libtool.info MAKEINFO="makeinfo --no-split"
	make libtool.ps && gzip -9f libtool.ps
)


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*


%post
/sbin/install-info /usr/info/libtool.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/libtool.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README THANKS TODO
%doc doc/libtool.ps.gz
#%doc cdemo demo mdemo
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/share/aclocal/*
/usr/share/libtool


%clean
rm -rf $RPM_BUILD_ROOT

